=== debian/changelog ===
qzxing (3.3.0+dfsg-8) unstable; urgency=medium

  * debian/patches:
    + Add 1004_cmake-4.patch. Support building with CMake 4. (Closes:
      #1113455).
    + Add 0001_match-badly-printed-QR-codes.patch. Support matching bad
      quality QR code printouts.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 07 Sep 2025 18:11:51 +0200

qzxing (3.3.0+dfsg-7) unstable; urgency=medium

  * debian/patches:
    + Update 1001_build-as-shared-lib.patch. Drop files related to to-be-removed
      qml-module-qzxing bin:pkg.
    + Rebase 1002_cmake-pkg-config-export.patch.
  * debian/:
    + Drop bin:pkg qml-module-qzxing. Not needed, and in fact breaking consumers
      of the qzxing library when using it as QQuickImageProvider. (See:
      #1092953) and upload of lomiri-camera-app 4.0.8+dfsg-3.
  * debian/control:
    + Assure uninstallation of bin:pkg qml-module-qzxing from previous versions
      of qzxing. The formerly shipped QML module breaks consumers of qzxing when
      used as QQuickImageProvider in QML applications.
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 10 May 2025 16:25:56 +0200

qzxing (3.3.0+dfsg-6) unstable; urgency=medium

  [ Guido Berhoerster ]
  * debian/libqzxing3.symbols:
    + Drop symbols file. The cost of maintaining the symbols far outweighs
      the usefulness. (Closes: #1074247, #1075433).

  [ OPNA2608 ]
  * debian/patches:
    + Add 1002_cmake-pkg-config-export.patch. Fetch patch for pkg-config
      generation with CMake.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 14 Aug 2024 10:34:26 +0200

qzxing (3.3.0+dfsg-5) unstable; urgency=medium

  * debian/symbols: Refresh using buildlogs from buildd (closes: #1037833)
    (closes: #1042229)

 -- Marius Gripsgard <mariogrip@debian.org>  Thu, 27 Jul 2023 20:13:56 +0200

qzxing (3.3.0+dfsg-4) unstable; urgency=medium

  * debian/symbols: Refresh amd64 symbols
  * debian/control: Add myself as uploader

 -- Marius Gripsgard <mariogrip@debian.org>  Thu, 27 Jul 2023 16:00:27 +0200

qzxing (3.3.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Anton Gladky <gladk@debian.org>  Sat, 22 Oct 2022 10:28:36 +0200

qzxing (3.3.0+dfsg-2) unstable; urgency=medium

  * debian/patches/1001_build-as-shared-lib.patch:
    + Refresh patch to provide a qmldir file for qml-module-qzxing.
  * debian/:
    + Add bin:pkg qml-module-qzxing.
  * debian/control:
    + Add shared lib to Depends: of dev:pkg. Drop ${shlibs:Depends}.
  * debian/libqzxing3.symbols:
    + Update for these archs: armel, armhf, hppa, hurd-i386, i386, mipsel,
      powerpc, ppc64, riscv64, s390x, and sh4.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 20 Oct 2022 00:30:38 +0200

qzxing (3.3.0+dfsg-1) unstable; urgency=low

  * Initial upload to Debian. (Closes: #1021626).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 12 Oct 2022 23:18:33 +0200
