=== debian/control ===
Source: qzxing
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Debian UBports Team <team+ubports@tracker.debian.org>,
           Mike Gabriel <sunweaver@debian.org>,
           Marius Gripsgard <mariogrip@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake,
               libqt5svg5-dev,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               qtmultimedia5-dev,
               qtquickcontrols2-5-dev,
               pkg-kde-tools,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/ftylitak/qzxing
Vcs-Git: https://salsa.debian.org/ubports-team/qzxing.git
Vcs-Browser: https://salsa.debian.org/ubports-team/qzxing/

Package: libqzxing3
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: qml-module-qzxing,
Replaces: qml-module-qzxing,
Description: QZXing library
 Qt wrapper for the ZXing 1D/2D barcode image decoder.
 .
 Supports barcode decoding for the following types:
 .
    UPC-A
    UPC-E
    EAN-8
    EAN-13
    ITF
    Code 39
    Code 93
    Code 128 (GS1)
    Codabar
    QR Code
    Data Matrix
    Aztec (beta)
    PDF 417
 .
 Supports barcode encoding for the following types:
 .
   QR Code
 .
 This package contains the shared library files.

Package: libqzxing-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libqzxing3 (= ${binary:Version}),
Description: QZXing library (development headers)
 Qt wrapper for the ZXing 1D/2D barcode image decoder.
 .
 Supports barcode decoding for the following types:
 .
    UPC-A
    UPC-E
    EAN-8
    EAN-13
    ITF
    Code 39
    Code 93
    Code 128 (GS1)
    Codabar
    QR Code
    Data Matrix
    Aztec (beta)
    PDF 417
 .
 Supports barcode encoding for the following types:
 .
   QR Code
 .
 This package contains the development header files of the QZXing shared
 library.
