=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+dfsg//,\
repacksuffix=+dfsg \
https://github.com/ftylitak/qzxing/tags .*/archive/refs/tags/v?([\d\.]+).tar.gz \
debian
